Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78365 - Cdrom not present after compililng newest kernel
Summary: Cdrom not present after compililng newest kernel
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 8.0
Hardware: i386
OS: Linux
high
high
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-21 19:59 UTC by Pirvu, Radu
Modified: 2008-08-01 16:22 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:13 UTC


Attachments (Terms of Use)
reuired dump of dmesg command (deleted)
2002-12-07 11:37 UTC, Pirvu, Radu
no flags Details

Description Pirvu, Radu 2002-11-21 19:59:52 UTC
Description of Problem:

If I install the newest kernel for RH 8.0 using up2date and reboot the OS, it is
not possible to use the cdrom in my ThinkPad T20.
If I boot with the original kernel of version 8.0 there is no problem.
Adding a line for cdrom to /etc/fstab does not help 

Version-Release number of selected component (if applicable):


How Reproducible:

100%

Steps to Reproduce:
1. update the RH8.0 to the latest kernel using up2date
2. reboot using the new kernel


Actual Results:

cdrom is not a valid device

Expected Results:

cdrom should be available for use
Additional Information:
	
Dual boot on ThinkPad T20
The cdrom is in the dock's Ultrabay

Comment 1 Pirvu, Radu 2002-12-07 10:54:33 UTC
Hi,
I reported this problem more than two weeks ago.
Do you have any advice for me yet?

Many thanks,

Radu

Comment 2 Arjan van de Ven 2002-12-07 10:57:49 UTC
does it help if you type depmod -ae as root first?

Comment 3 Pirvu, Radu 2002-12-07 11:16:59 UTC
No :(
I booted with the new kernel issued the command you reccomend and try to mount:
no success. Then I rebooted and tried to mount -> no success again :(
Do you have any other advice, please?

Comment 4 Pirvu, Radu 2002-12-07 11:20:02 UTC
No :(
I booted with the new kernel issued the command you reccomend and try to mount:
no success. Then I rebooted and tried to mount -> no success again :(
Do you have any other advice, please?

Comment 5 Arjan van de Ven 2002-12-07 11:26:45 UTC
can you attach the output of the dmesg command in the failing kernel ?

Comment 6 Pirvu, Radu 2002-12-07 11:37:44 UTC
Created attachment 87804 [details]
reuired dump of dmesg command

Comment 7 Arjan van de Ven 2002-12-07 11:54:25 UTC
hmmmm your cdrom really appears to not be there for some reason

Comment 8 Pirvu, Radu 2002-12-07 12:11:10 UTC
Yes: I know. But what to do?
If I boot with the 'old' kernel everything is fine : I can use the cdrom and I
have the corresponding line in /etc/fstab
If I reboot with the new kernel the line in/etc/fstab is gone and I cannot use
the cdrom. Adding a line to /etc/fstab now does not help.
Is the support for cdrom compiled in the newest kernel?
Any suggestions?
Thank you,

radu

Comment 9 Pirvu, Radu 2002-12-28 00:32:09 UTC
Hi,
Other two weeks passed without any reply :o

I updated to the newest kernel but with the same negative results :(

Could you please check the cdrom support in the newest kernel?

Thank you,

Radu

Comment 10 Bugzilla owner 2004-09-30 15:40:13 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.